Introduction

burnatonce is an integrated gui for many disc reading and writing tools

burnatonce overview

burnatonce is designed to write your cds quickly and with minimum fuss. The interface is simple, fast to use, yet powerful and is not cluttered with any wizards or cuddly animated characters. Unfortunately this means that less experienced users may initially need to consult this help file along with the excellent cdrfaq to get started.

burnatonce can be used to write existing images which are in cue/bin, toc/dat or iso format as well as compiling data and audio cds from various files.

burnatonce is project based meaning that to create an audio cd for example, the user firsts compiles the project from the Audio CD Mastering window into the Main Window. Writing of the project is then started by pressing the "Write" button. The media inserted into the cd writer is then checked and if it is a cdrw the user may be prompted to erase the disc. After writing has completed the user may make another copy simply by pressing the "Write" button again.


Introduction

burnatonce is an integrated gui for many disc reading and writing tools

System Requirements

IBM compatible PC running Windows 9x/Me/2000/XP
Adaptec ASPI 4.60 required for Windows 9x/Me - unsupported


Introduction

burnatonce is an integrated gui for many disc reading and writing tools

Multi-language Support

burnatonce has built-in multi-language support. If your language is not already supported burnatonce can generate an english language file called burnatonce\languages\Template.txt if started with '/langtemplate' as a switch.

To add your language to burnatonce simply translate this template file into your language (see guidelines within template file) and send to translate@burnatonce.com for inclusion in the burnatonce installation and burnatonce language updates.


Useful Links

burnatonce is an integrated gui for many disc reading and writing tools

burnatonce links

burnatonce homepage - The place for all things burnatonce
burnatonce forums - Discuss burnatonce and request support

General Information

www.cdrfaq.org - find out all you ever wanted to know (and more) about recording to cds

Software Links

cdrdao - link to cdrdao project hosted on sourceforge
mkisofs - link to cdrtools project hosted on freshmeat
cygwin - Cygwin is a UNIX environment, developed by Red Hat, for Windows

GNU Software/Licensing links

The GNU Project - GNU Project and the Free Software Foundation Home Page
Frequently Asked Questions about the GNU - Useful FAQ for the GPL


Copyright and Permission Notice

END-USER LICENSE AGREEMENT

Software Products:
burnatonce and accompanying documentation.

Licensor: Jamie Osborne.

THIS IS A LEGAL AGREEMENT BETWEEN YOU, AN END USER, AND LICENSOR.

BY DOWNLOADING AND INSTALLING THE SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND DELETE ANY COPIES OF THE SOFTWARE THAT YOU HAVE DOWNLOADED.

THIS SOFTWARE IS PROVIDED TO YOU FREE OF CHARGE FOR NON-COMMERCIAL PURPOSES ONLY PROVIDED THAT THE ABOVE COPYRIGHT NOTICE(S) AND THIS PERMISSION NOTICE APPEAR IN ALL COPIES OF THE SOFTWARE AND THAT BOTH THE ABOVE COPYRIGHT NOTICE(S) AND THIS PERMISSION NOTICE APPEAR IN SUPPORTING DOCUMENTATION. OBTAINING A LICENSE TO THIS SOFTWARE FROM ANY PARTY OTHER THAN LICENSOR AND/OR PAYING A FEE FOR SUCH LICENSE IS STRICTLY FORBIDDEN. IF YOU ARE AWARE OF ANY UNAUTHORIZED THIRD PARTY DISTRIBUTING THIS SOFTWARE AND/OR CHARGING A FEE FOR THIS SOFTWARE, PLEASE REPORT SUCH VIOLATIONS TO YOUR CONSUMER PROTECTION AUTHORITIES.

A "NON-COMMERCIAL" USE MEANS A PERSONAL, ACADEMIC, SCIENTIFIC OR RESEARCH USE OF THE SOFTWARE, PROVIDED THAT SUCH USE IS IN NO WAY COMMERCIAL. ANY OTHER USE OF THE SOFTWARE NOT EXPLICITLY MENTIONED HERE TO BE PERMITTED WILL REQUIRE THE PURCHASE OF A COMMERCIAL LICENSE.

LICENSE TERMS AND CONDITIONS

I. Grant of license

This Agreement permits you to use one copy of the Software acquired with this license on any single computer ("License") for non-commercial purposes only, provided the Software is in use on only one computer at any given time. The Software is "in use" on a computer when it is loaded into the temporary memory or installed into the permanent memory (e.g. hard disk, CD ROM, or other storage device) of that computer, except that a copy installed on a network server for the sole purpose of distribution to other computers is not considered "in use".

II. Copyright

The Software is owned by Licensor and is protected by copyright laws, international treaty provisions, and other national laws. You agree that you have no right, title or interest in the Software, except as set forth in Subsection I.

III. Other restrictions

You may not rent, lease, sell or transfer the Software to any third party. You may not reverse engineer, decompile or disassemble the Software.

IV. Warranties

YOU ACKNOWLEDGE THAT YOU HAVE LICENSED THIS SOFTWARE FREE OF CHARGE AND THAT LICENSOR MAKES NO WARRANTIES TO YOU IN CONNECTION WITH THIS LICENSE, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. YOU AGREE TO DEFEND, INDEMNIFY AND HOLD HARMLESS LICENSOR FROM ANY AND ALL CLAIMS OF INFRINGEMENT (INCLUDING THOSE MADE BY THIRD PARTIES) RESULTING IN WHOLE OR IN PART FROM YOUR USE OF THE SOFTWARE.

V. No liability for consequential damages

In no event shall Licensor be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use of or inability to use the Software, even if Licensor has been advised of the possibility of such damages.

VI. Governing Law

This Agreement shall be governed by and interpreted in accordance with the laws of England. If any dispute shall arise pursuant to any provision of this Agreement, said dispute shall be settled by binding arbitration in accordance with the rules and regulations of the courts, located in England. If any term or provision of this Agreement shall be declared invalid in arbitration or by a court of competent jurisdiction, such invalidity shall be limited solely to the specific term or provision invalidated, and the remainder of this Agreement shall remain in full force and effect, according to its terms. Any provision declared invalid shall be modified to the fullest extent possible to reflect the parties intent as of the Effective Date.

Copyright © 2002, 2003 Jamie Osborne. All rights reserved.


Main Window

The main burnatonce window in it's default view is quite simple with only one button that is used to start the write process. To write a previously prepared image to disc all the user needs to do after configuring burnatonce is to load the image and the press "Write".

As well as the write button there is also the menu that runs along the top of the window, the statusbar that runs along the bottom and the progressbar / textbox that is to the left of the write button.

The menu contains extra tools such as "Read to Image", "Copy on the Fly" and "Erase CDRW" as well as general settings like "Mouseover Help" and "Always on Top".

The statusbar shows the currently loaded image or project, selected writer device, write speed and a visual indicator of raw writing and multisession modes.

The progressbar shows how far read/write operations have progressed and the textbox displays information to the user.

To configure burnatonce simply select "Settings" -> "View Settings" from the menu or double click the statusbar. For an explanation of all the options please click here.


Main Settings

CD Reader

The three combo boxes for the reader devices are, from left to right:

CD Reader Device:
Select which device will be used for reading cds.

Paranoia Mode:
Select which method is used to achieve the most accurate image read from an audio cd. Available options are (with decreasing speed):

No checking: Data is copied directly from the drive
Overlapped Reading: Special read mode to avoid jitter
Additional Checks: Same as overlapped reading plus additional checks
Scratch Detection: Same as additional checks but with scratch detection and repair.

Subchannel Mode:
Specifies the type of sub-channel data that is extracted from the source CD

No Subs: Read an image without extracting sub-channel data
RW Subs: Read packed R-W sub-channel data (de-interleaved and error corrected)
Raw RW Subs: Read Raw R-W sub-channel data (not de-interleaved, not error corrected, L-EC data included in the track image).

Below the comboboxes are the read option checkboxes:

Read Raw:
All data sectors will be written as 2352 byte blocks including the sector header and L-EC data to the image file. The track mode will be set to MODE1_RAW or MODE2_RAW in the created toc-file.

Read CD-Text:
Enable reading of CD-Text data. Disable this option if your drive locks up or sends junk when asked for the CD-TEXT data.

Swap Audio:
Swap byte order of all audio samples read. Only enable this option if audio cds read without it produce hiss

Simple TOC:
Do not read the TOC of each session, multi-session information will not be read. Only enable this option if your drive locks up reading multisession discs.

CD Writer

The three combo boxes for the writer devices are, from left to right:

CD Writer Device:
Select which device will be used for writing cds. This is also the device used when selecting Tools -> Disc Info.

Buffers:
Specifies the number of buffers that are allocated to avoid buffer under runs. Each buffer holds 1 second of audio data

Speed:
Select the recording speed used for a write or erase operation. Note: The writer device or the inserted media may not support writing at the selected speed

Below the comboboxes are the write option checkboxes:

Use Raw Driver:
Use the generic-mmc-raw driver so the PQ sub-channel data is specified in addition to the audio data. This option is ignored for multi-session recording.

Write CD Text:
Enable CD-Text writing. This option is ignored when using the raw driver since cd-text writing is automatic.

Eject Disc:
Eject CD Tray after write operation.

Buffer Protection:
Enables Buffer-Underrun Protection while writing

Force Execution:
Forces the execution of an operation that otherwise would not be performed

Overburn:
Enables writing past stated capacity - may result in error messages and writer device or system hang.

MultiSession:
Leave disc open to allow further sessions to be appended - most cd-rom devices require the disc to be closed before use.

Simulate:
Simulates a write operation without actually writing to the media

Other Settings

Autohide Settings:
Hide settings on write operation etc. to save desktop space

Minimize to Tray:
Minimize to system tray instead of taskbar

SPTI Interface:
Select use of the SPTI Interface instead of ASPI on Windows NT based systems (WinNT/2k/XP)

Check Images:
Prompt to fix incorrect syntax, filenames in cue and toc files.


Confirm Read

Write Disc

A disc image can be loaded into burnatonce either by double clicking it in explorer or by choosing 'Load New Image' from the 'File' menu. Also a data or audio cd project can be loaded by pressing 'Compile' in the relevant mastering window.

Once an image or project is loaded into burnatonce it is displayed in the lower left hand corner of the main window. After checking the write settings the disc can be written by simply pressing 'Write'.


Confirm Read

Read Disc

Using burnatonce a disc can be read to the hard drive as an image. There are two image types supported, the first type is toc/dat and is the recommended image for use with burnatonce. The second type is cue/bin and provided for compatibility with other applications.

Note: the cue/bin format is currently only available for data discs.

Before reading of the cd starts a confirmation box is displayed which shows the selected CD Reader Device and the expected image size.


Confirm Read

Copy Disc

There are two ways to copy a disc in burnatonce. The first way is to simply read the source disc to an image file on your hard disc. The image is then written with burnatonce or stored for future use. This is the safest way to copy a disc on slower systems.

The second way is called 'Copy on the Fly' - to use this method simply insert your source disc into the reader device and a blank disc into the writer device, check your settings and then choose 'Copy on the Fly' from the 'Read/Copy' menu.

If 'Confirm Write' is selected then the following dialog will be shown before copying starts:


Erase Disc

The erase cd dialog only has one option which is "Quick Erase". In most cases this option will be preferred since it only erases the discs Table of Contents. A full erase can be performed by unticking this option but will take some time.


Data CD Mastering

Data CD and DVD Mastering

This window is for compiling data cds and dvds. Add the files and folders you want on your disc, press ISO Settings to set desired options and then press "Compile" to load the project into the Main Window ready for writing.

To create an ISO image file instead of writing to disc select the "Image File" checkbox.

Other options are available by right clicking the file list:

Sortable Label:
Use date format of yymmdd for default disc label instead of local date format.

Confirm Settings:
Always prompt user to check ISO Settings before compiling disc

Write Checksum:
Calculates a checksum for every file and stores it in the root of disc for later verification by using Main -> Read/Copy -> Verify Checksum.

Automatic Write:
After disc is compiled load project into main window and attempt to write without user interaction


ISO Settings

Primary Volume Descriptor

Volume Label:
Disc label that will be shown in explorer

System Identifier:
System that disc is intended for, set to Win32 if left blank

Volume Set:
Name of volume set disc belongs to (if any)

Volume Number:
Number of disc out of total discs in Volume Set

Publisher:
Publisher information such as name and contact details

Data Preparer:
Information about the person who created this disc

Application:
Information about the application used to create this disc

ISO9660 and additional standards

ISO Level 2:
Allow 31 character filenames

ISO9660:1999:
Allows 207 characters for folder/filenames and removes the limit upon how many levels deep the folders are are allowed to be. All ASCII characters (including lowercase) are currently allowed also.

Omit Version Number:
Omit version numbers from ISO9660 file names

Relax ISO9660:
Allow lowercase, non standard characters, #, ~ and multidot

Joliet Names:
Generate Joliet directory records

Long Joliet Names:
Allow 103 character Joliet filenames

Compliant PVD:
Enforce ISO9660 compliance in Primary Volume Descriptor

Relocate Folders:
Use deep directory relocation. Please see here for more info.

RockRidge:
Generate Rock Ridge directory records

Bootable CD

Bootable Image:
Make Bootable CD

No Emulation:
Do not provide disk emulatation

Load Size:
Number of virtual sectors to load

Boot Info Table:
Patch boot image with information of CD layout

MultiSession

Add New Session:
Add data as a new session appended to the inserted disc

Import Session:
Import data from previous session


Audio CD Compilation

Audio CD Mastering

This window is for compiling audio cds. Add the media files you want on your cd and press "Compile" to decode the tracks and load the project into the main window ready for writing.

To add tracks with a standard two second gap select the "2 Sec Gap" checkbox. Clearing this checkbox will add tracks with no pause although the pause for each track can be changed in the Track Properties window.

CD-Text can be downloaded from freedb by pressing the "Freedb..." button, converted from filenames or manually entered in the Track Properties window.

Other options are available by right clicking the track list:

Save to Tracklist:
Save current tracklist to an m3u playlist file. This file can then be used in a third party audio player or imported back into burnatonce at a later date

Split Current Track:
Split a large track into several smaller parts using information from freedb.

Enable CD-Text:
Enables writing of CD-Text information to the toc file only. The writer device must also support CD-Text and have it enabled in the main settings

CD-Text from Filename:
Determine CD-Text information by filtering the track's filename

All to Current Pause:
Set pause/pregap of all tracks to same length as currently selected track

Apply WaveGain
Use the wavegain algorithm to equalise the perceived loudness of all tracks - useful for making compilations etc.

Change Temp Folder:
Change folder burnatonce uses to store tempory files such as decoded media files and the toc file

Automatic Write:
After disc is compiled load project into main window and attempt to write without user interaction

Track Properties:
Open the Track Properties window where pause length, mark in/out points and CD-Text can be viewed/edited


Track Properties

The track properties window allows you to view media information, edit cd-text data, set mark in/out points and pause type/length.

Specify the "Mark In" and "Mark Out" points for a track allows you to only write a section of it to your audio cd.

To edit the pause length that precedes the current track simply type the new value in the pause textbox.

Control track pregaps by choosing 'Silence' (gap filled with zero audio data), 'Pregap' (gap filled with start of track) or 'Postgap' (gap filled with end of last track). All examples shown below apply to Track02.mp3:


FreeDB

The freedb database provides information such as artist and track title for whole albums. burnatonce will submit a disc id generated from the tracks currently listed in the audio cd mastering window and return any matching albums.

Simply pick the album that looks the best match for your compilation and press "Get Tracks" to download the tracks names etc. Once you are happy with the information downloaded press "Export to Tracklist" to replace information in the Audio CD Mastering with the downloaded information.

If the album is a compilation of various artists then the track names may contain track and artist name separated by a slash. In this case select "Split Track Names" to have these track titles split to the relevant fields.

You can also perform a text search for your album by pressing the "Text Search" button.

You can select a freedb mirror closer to your geographical location by first pressing "Download Server List" to receive a list of all current servers. Once downloaded just click on the server that you want to use.


Relocate Folders

 Relocate Folders Not yet written...